GSP
Quick Navigator

Search Site

Unix VPS
A - Starter
B - Basic
C - Preferred
D - Commercial
MPS - Dedicated
Previous VPSs
* Sign Up! *

Support
Contact Us
Online Help
Handbooks
Domain Status
Man Pages

FAQ
Virtual Servers
Pricing
Billing
Technical

Network
Facilities
Connectivity
Topology Map

Miscellaneous
Server Agreement
Year 2038
Credits
 

USA Flag

 

 

Man Pages
Module::CPANTS::Kwalitee::BrokenInstaller(3) User Contributed Perl Documentation Module::CPANTS::Kwalitee::BrokenInstaller(3)
 

Module::CPANTS::Kwalitee::BrokenInstaller - Check for broken Module::Install

Find out whether the distribution uses an outdated version of Module::Install.

order
Defines the order in which Kwalitee tests should be run.
Returns 100, as data generated by this should not be used by any other tests.
analyse
"MCK::BrokenInstaller" checks whether the distribution uses Module::Install and if so whether it uses a reasonably current version of it (0.61 or later).
It also checks whether the Makefile.PL uses the "auto_install" feature. If so, "Module::Install" should be at least version 0.64.
kwalitee_indicators
Returns the Kwalitee Indicators datastructure.
no_broken_module_install
no_broken_auto_install

Module::CPANTS::Analyse

Steffen Müller <https://metacpan.org/author/smueller>
Thomas Klausner <https://metacpan.org/author/domm>

Copyright © 2003–2009 Thomas Klausner <https://metacpan.org/author/domm>
Copyright © 2006 Steffen Müller <https://metacpan.org/author/smueller>
You may use and distribute this module according to the same terms that Perl is distributed under.
2014-11-24 perl v5.28.1

Search for    or go to Top of page |  Section 3 |  Main Index

Powered by GSP Visit the GSP FreeBSD Man Page Interface.
Output converted with ManDoc.